/*
 * Copyright (C) 2005 Cesar Kallas
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * E-mail: cesarkallas@gmx.net
 * http://cesarkallas.soulivre.org
 *
 */
 
package estella.lib;

import java.util.Date;
import java.util.GregorianCalendar;
import java.text.SimpleDateFormat;

/**
* Funcoes de tempo
* @author Cesar Kallas
* @since 20/11/2005
*/
public class Tempo
{
	/**
	* Data atual
	* @return String com a data  atual no formato DD/MM/AAAA
	*/
  public static String data()
  {
    SimpleDateFormat formatoData = new SimpleDateFormat("dd/MM/yyyy");
    return formatoData.format(new Date());
  }
  
  /**
	* Horario
	* @return String com a hora atual no format HH:mm:ss
	*/
  public static String hora()
  {
		SimpleDateFormat formatoHora = new SimpleDateFormat("HH:mm:ss");
		return formatoHora.format(new Date());
  }
  
  /**
  * Espera ocupada
  * @param tempo (s) - tempo desejado para a espera
  * @return true ou false
  */
  public static boolean espera(int tempo)
  {
    long sys_tempo = System.currentTimeMillis();
    while (sys_tempo + (tempo*1000) > System.currentTimeMillis()){}
    return true;
  }
}
